## rime-wanxiang 7.0.8

=== debian/changelog ===
rime-wanxiang (7.0.8-0deepin1) unstable; urgency=medium

  * New upstream release

 -- lhdjply <lhdjply@126.com>  Thu, 12 Jun 2025 10:08:12 +0800

rime-wanxiang (6.8.7-0deepin1) unstable; urgency=medium

  * New upstream release

 -- Cryolitia <liziyao@uniontech.com>  Mon, 26 May 2025 13:11:19 +0800

rime-wanxiang (6.7-0deepin1) unstable; urgency=medium

  * Initial Release

 -- Cryolitia <liziyao@uniontech.com>  Tue, 29 Apr 2025 11:29:37 +0800
