=== debian/watch ===
version=4
https://github.com/amzxyz/rime_wanxiang/tags .*/v?(\d.*)@ARCHIVE_EXT@
